<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Mi cafecito</title>
    </h:head>
    <h:body>

        <h:form id="menuBar">
            <p:menubar>
                <p:menuitem value="Inicio"></p:menuitem>
            </p:menubar>
        </h:form>
        <h1>Mantenimiento Estado</h1>
        <h:form id="estado" >
            <p:growl id="estadoG" />
            <h:panelGrid columns="2" >

                <p:column colspan="1">
                    <p:outputLabel value="Codigo" />
                </p:column>
                <p:column colspan="1">
                    <p:inputText value="#{estadoBean.est.codigo}"/>                        
                </p:column>
                <p:column colspan="1">
                    <p:outputLabel value="Nombre" />
                </p:column>
                <p:column colspan="1">
                    <p:inputText value="#{estadoBean.est.nombre}" />    
                </p:column>

                <p:column colspan="4">
                    <p:commandButton
                        actionListener="#{estadoBean.guardarEstado()}"
                        update=":estado:table_estado"
                        value="Guardar" />

                </p:column>

            </h:panelGrid>
            <p:dataTable var="estado"
                         id="table_estado"
                         sortOrder="descending"
                         value="#{estadoBean.todosLosEstados}"
                         rows="10" paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No se encuentran datos">
                
                <p:column filterBy="#{estado.codigo}" headerText="Codigo Estado" 
                          filterMatchMode="contains"   class="col-md-3 col-lg-3" sortBy="#{estado.codigo}" >
                    <h:outputText value="#{estado.codigo}"></h:outputText>                                                    
                </p:column>

                <p:column filterBy="#{estado.nombre}" headerText="Nombre Estado" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{estado.nombre}">
                    <h:outputText value="#{estado.nombre}"></h:outputText>

                </p:column>

                <p:column headerText="Acciones" >
                    <p:commandButton icon="fa fa-pencil" id="editar"
                                     actionListener="#{estadoBean.verEstado(estado)}"
                                     update=":form_editar_estado" 
                                     oncomplete="PF('dlg_editar_estado').show();"/>
                    <p:tooltip for="editar" value="Editar" />
                    <p:commandButton icon="fa fa-eye" id="ver"
                                     actionListener="#{estadoBean.verEstado(estado)}"
                                     update=":form_ver_estado"
                                     oncomplete="PF('dlgverEstado').show();" />
                    <p:tooltip for="ver" value="Ver" />
                    <p:commandButton icon="fa fa-trash" id="eliminar"
                                     style="color: red !important;"
                                     onclick="PF('dgEliminar').show();">
                        <f:setPropertyActionListener value="#{estado}"
                                                     target="#{estadoBean.est}" />

                    </p:commandButton>
                    <p:tooltip for="eliminar" value="Eliminar"  />

                </p:column>
            </p:dataTable>
            <p:confirmDialog closable="false"
                             message="Desea eliminar el registro?" widgetVar="dgEliminar"
                             showEffect="fade" hideEffect="fade">

                <p:commandButton value="si"
                                 actionListener="#{estadoBean.eliminarEstado()}"
                                 update=":estado:table_estado" icon="ui-icon-check"
                                 oncomplete="PF('dgEliminar').hide();" />
                <p:commandButton value="No" icon="ui-icon-close"
                                 oncomplete="PF('dgEliminar').hide();"
                                 actionListener="#{estadoBean.limpiarDialogo()}" />
            </p:confirmDialog>
        </h:form>
        <p:dialog id="dlg_editar_estado"  width="700" height="200" header="Editar estado" widgetVar="dlg_editar_estado" modal="true" 
                  position="center center" onShow="PF('dlg_editar_estado').initPosition()">

            <h:form id="form_editar_estado">

                <p:growl id="editarEstado" />

                <p:panelGrid id="pgestado" columns="2">
                    <p:column colspan="1">
                        <p:outputLabel value="Codigo" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{estadoBean.est.codigo}"/>                        
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Nombre" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{estadoBean.est.nombre}" />    
                    </p:column>
                    <p:column colspan="4">
                        <p:commandButton
                            actionListener="#{estadoBean.guardarEstado()}"
                            update="@form"
                            value="Guardar" />
                    </p:column>
                </p:panelGrid>
            </h:form>
        </p:dialog>
        <p:dialog id="dlgverEstado"  width="700" height="200" header="ver estado" widgetVar="dlgverEstado" modal="true" 
                  position="center center" onShow="PF('dlgverEstado').initPosition()">

            <h:form id="form_ver_estado">

                <p:growl id="verEstado" />

                <p:panelGrid id="pgverestado" columns="2">
                    <p:column colspan="1">
                        <p:outputLabel value="Codigo" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{estadoBean.est.codigo}"/>                        
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Nombre" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{estadoBean.est.nombre}" />    
                    </p:column>
                </p:panelGrid>
            </h:form>
        </p:dialog>
    </h:body>
</html>

